<template>
  <div class="main-contain">
    <div class="position">
      <bread-crumb
        v-if="this.$route.query.type == 1"
        :crumbs="crumbs"
      ></bread-crumb>
      <bread-crumb
        v-if="this.$route.query.type == 2"
        :crumbs="crumbs2"
      ></bread-crumb>

      <div style="float:right;">
        <el-button size="small" @click="back()" class="filter-item"
          >取 消</el-button
        >
        <el-button
          size="small"
          type="primary"
          @click="submit()"
          class="filter-item"
          >保 存</el-button
        >
      </div>
    </div>

    <div class="app-container" v-loading="loading">
      <stock-in-dialog
        ref="dialog"
        :propForm="propForm"
        :visibility="isVisibility"
        v-on:dialog-comfirm="comfirm"
        v-on:dialog-cancle="cancle"
      ></stock-in-dialog>

      <div class="cell clearfix">
         <label class="title"><span class="name"><span style="color:red">*</span>仓库</span> :</label>
         <el-select size="small" v-model="storehouse_id" filterable placeholder="请选择仓库" style="width:200px" :disabled="true">
              <el-option
                v-for="(option, index) in list"
                :key="index"
                :label="option.storehouse_name"
                :value="option.id">
              </el-option>
          </el-select>
        <label class="title"><span class="name">入库时间</span> : </label>
        <el-date-picker
          size="small"
          v-model="warehousing_time"
          prefix-icon="el-icon-date"
          :editable="false"
          style="width: 200px;"
          type="date"
          placeholder="选择日期时间"
          align="right"
          format="yyyy-MM-dd"
          value-format="yyyy-MM-dd"
          :disabled="disabled"
        >
        </el-date-picker>
      </div>
      <el-form :rules="tableRules" :model="recordInfo" ref="tableForm">
        <el-table
          id="oictable"
          :data="recordInfo.recordData"
          :class="signAndWeighBoxPatients"
          style="width: 100%"
          border
          max-height="450"
          :header-cell-style="{ backgroundColor: 'rgb(245, 247, 250)' }"
        > 
         <el-table-column align="center" width="200">
             <template slot="header" slot-scope="scope">
              <span>耗材名称</span>
            </template>
            <template slot-scope="scope">
                <el-autocomplete
                    class="checkSearch"
                    popper-class="my-autocomplete"
                    v-model="scope.row.good_name"
                    :fetch-suggestions="querySearchAsync"
                    :trigger-on-focus="true"
                    placeholder="请输入耗材名称"
                    @select="handleSelect"
                    @input="changeGoodName(scope.$index)"
                    style="width:150px;"
                    :disabled ="disabled"
                  >
                    <i class="el-icon-search el-input__icon" slot="suffix"></i>
                  <template slot-scope="{ item }">
                    <div style="width:400px">{{ item.good_name +" " + item.specification_name + "  "+ item.manufacturer}}</div>
                  </template>
                 </el-autocomplete>
            </template>
          </el-table-column>
          <el-table-column align="center" width="140">
            <template slot="header" slot-scope="scope">
              <span>耗材类型<span style="color: red">*</span></span>
            </template>

            <template slot-scope="scope">
              <el-form-item style="padding-top: 20px">
                <el-input
                  placeholder="请输入耗材类型"
                  v-model="scope.row.good_type_id"
                  :value="typeName(scope.row.good_type_id)"
                   :disabled ="disabled"
                ></el-input>
              </el-form-item>
            </template>
          </el-table-column>
          <el-table-column align="center" width="140">
            
            <template slot="header" slot-scope="scope">
              <span>规格&单位<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">

              <el-form-item style="padding-top: 20px">
                <el-input placeholder="请输入规格名称" v-model="scope.row.name"  :disabled ="disabled"></el-input>
              </el-form-item>

            </template>
          </el-table-column>
       
         <el-table-column align="center" width="150">
            <template slot="header" slot-scope="scope">
              <span>批号<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
              <el-form-item style="padding-top: 20px" :prop="'recordData.' + scope.$index + '.number'"
                            :rules='tableRules.number' >
                <el-input placeholder="请输入批号" v-model="scope.row.number"  :disabled ="disabled"></el-input>
              </el-form-item>
            </template>
          </el-table-column>
          <el-table-column align="center" width="120">
            <template slot="header" slot-scope="scope">
              <span>零售价<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
            
              <el-form-item :prop="'recordData.' + scope.$index + '.packing_price'" :rules='tableRules.packing_price'
                            style="padding-top: 20px">
                <el-input placeholder="请输入单价" type="number" v-model="scope.row.packing_price"></el-input>
              </el-form-item>


            </template>
          </el-table-column>
          <el-table-column align="center" width="120">
            <template slot="header" slot-scope="scope">
              <span>进货价<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
              <!--<el-input type="number" v-model="scope.row.price"  @blur="handleBlur(scope.$index, scope.row)"></el-input>-->
              <el-form-item
                :prop="'recordData.' + scope.$index + '.price'"
                :rules="tableRules.price"
                style="padding-top: 20px"
              >
                <el-input
                  placeholder="请输入单价"
                  type="number"
                  v-model="scope.row.price"
                ></el-input>
              </el-form-item>
            </template>
          </el-table-column>

          <el-table-column align="center" width="120">
            <template slot="header" slot-scope="scope">
              <span>入库数量<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
             
              <el-form-item
                :prop="'recordData.' + scope.$index + '.warehousing_count'"
                :rules="tableRules.warehousing_count"
                style="padding-top: 20px"
              >
                <el-input
                  oninput="value=value.replace(/\D|^0/g,'')"
                  placeholder="请输入入库数量"
                  type="number"
                  v-model="scope.row.warehousing_count"
                   :disabled ="disabled"
                ></el-input>
                 <!-- <el-input
                  placeholder="请输入入库数量"
                  v-model="scope.row.warehousing_count"
                   :disabled ="disabled"
                ></el-input> -->
                {{scope.row.min_unit}}
              </el-form-item>
            </template>
          </el-table-column>
          <el-table-column label="总价" align="center" width="80">
            <template slot-scope="scope">
              {{ calculate(scope.row.price * scope.row.warehousing_count) }}
            </template>
          </el-table-column>

         <el-table-column  align="center" width="180">
            <template slot="header" slot-scope="scope">
              <span>有效日期<span style="color: red">*</span></span>
            </template>
            <template slot-scope="scope">
              <el-form-item  :prop="'recordData.' + scope.$index + '.expiry_date'"
                :rules="tableRules.expiry_date">
                <el-date-picker prefix-icon="el-icon-date" style="width: 145px" v-model="scope.row.expiry_date"
                                type="date" placeholder="选择日期时间" format="yyyy-MM-dd"
                                value-format="yyyy-MM-dd"  :disabled ="disabled">
                </el-date-picker>
             </el-form-item>
            </template>
          </el-table-column>
         

          <el-table-column label="生产日期" width="180" align="center">
            <template slot-scope="scope">
              <el-date-picker
                prefix-icon="el-icon-date"
                style="width: 145px"
                v-model="scope.row.product_date"
                type="date"
                placeholder="选择日期时间"
                format="yyyy-MM-dd"
                value-format="yyyy-MM-dd"
                :disabled ="disabled"
              ></el-date-picker>
            </template>
          </el-table-column>

           <el-table-column label="生产厂家" align="center" width="150">
             <template slot-scope="scope">
               <el-select size="small" v-model="scope.row.manufacturer" filterable placeholder="请选择厂商"  :disabled ="disabled">
                <el-option
                  v-for="(option, index) in manufacturerList"
                  :key="index"
                  :label="option.manufacturer_name"
                  :value="option.id">
                </el-option>
               </el-select>
            </template>
          </el-table-column>

           <el-table-column align="center" width="150">
            <template slot="header" slot-scope="scope">
              <span>批准文号</span>
            </template>
            <template slot-scope="scope">
              <el-form-item style="padding-top: 20px">
                <el-input
                  placeholder="请输入批准文号"
                  v-model="scope.row.license_number"
                  :disabled ="disabled"
                ></el-input>
              </el-form-item>
            </template>
          </el-table-column>
          <el-table-column align="center" width="150">
            <template slot="header" slot-scope="scope">
              <span>注册编码</span>
            </template>
            <template slot-scope="scope">
              <el-form-item style="padding-top: 20px">
                <el-input placeholder="请输入注册编码" v-model="scope.row.register_number" ></el-input>
              </el-form-item>
            </template>
          </el-table-column>
          <el-table-column label="经销商" align="center" width="150">
             <template slot-scope="scope">
               <el-select size="small" v-model="scope.row.dealer" filterable placeholder="请选择厂商">
                <el-option
                  v-for="(option, index) in dealerList"
                  :key="index"
                  :label="option.dealer_name"
                  :value="option.id"
                   :disabled ="disabled">
                </el-option>
               </el-select>
            </template>
          </el-table-column>
          <el-table-column label="备注" width="150" align="center">
            <template slot-scope="scope">
              <el-input v-model="scope.row.remark"  :disabled ="disabled"></el-input>
            </template>
          </el-table-column>

          <el-table-column
            label="操作"
            fixed="right"
            align="center"
            width="150"
          >
            <template slot-scope="scope">
              <el-tooltip
                class="item"
                effect="dark"
                content="新增"
                placement="top"
              >
                <el-button
                  size="mini"
                  type="primary"
                  icon="el-icon-circle-plus-outline"
                  @click="handleEdit(scope.$index, scope.row)"
                >
                </el-button>
              </el-tooltip>
              <el-tooltip
                class="item"
                effect="dark"
                content="删除"
                placement="top"
              >
                <el-button
                  size="mini"
                  type="danger"
                  icon="el-icon-delete"
                  @click="handleDelete(scope.$index, scope.row)"
                >
                </el-button>
              </el-tooltip>
            </template>
          </el-table-column>
        </el-table>
      </el-form>
    </div>
  </div>
</template>

<script>
import stockInDialog from "./Dialog/stockInDialog";
import { uParseTime } from "@/utils/tools";

import {
  GetAllConfig,
  getWarehouseInfoList,
  GetAllGoodInfoByID,
  DeleteWarehouseInfoItem,
  EditWarehouse,
  postSearchGoodList
} from "@/api/stock";
import BreadCrumb from "../components/bread-crumb";

export default {
  components: { BreadCrumb, stockInDialog },
  name: "stockIn",

  data() {
    var checkGoodId = (rule, value, callback) => {
      setTimeout(() => {
        if (value == "" || value == 0) {
          return callback(new Error("规格名称不能为空"));
        }
      }, 2000);
    };

    return {
      crumbs: [
        { path: false, name: "库存管理" },
        { path: false, name: "耗材入库单" },
        { path: false, name: "编辑入库单" }
      ],
      crumbs2: [
        { path: false, name: "库存管理" },
        { path: false, name: "其他入库单" },
        { path: false, name: "编辑入库单" }
      ],
      signAndWeighBoxPatients: "sign-and-weigh-box-patients",
      warehousing_time: "",
      adminUserOptions: null,
      currentIndex: 0,

      recordInfo: {
        recordData: [],
        stock_in_code: "",
        current_index: ""
      },
      tableRules: {
        price: [{ required: true, message: "单价不能为空", trigger: "blur" }],
        packing_price: [
          { required: true, message: '零售价不能为空', trigger: 'blur' }
        ],
        warehousing_count: [
          { required: true, message: "数量不能为空", trigge: "blur" }
        ],

        good_id: [{ validator: checkGoodId, trigger: "blur" }],
        expiry_date:[
         { required: true, message: '有效日期不能为空', trigge: 'blur' }
        ],
        number:[
            { required: true, message: '批号不能为空', trigge: 'blur' }
        ],
      },

      total: "",
      product_date: "",
      expiry_date: "",
      numbers: "",
      // prop
      isVisibility: false,
      propForm: {
        goods: [],
        goodType: [],
        goodInfo: [],
        goodUnit: [],
        title: "入库",
        isCreated: 1
      },

      form: {
        manufacturer: "",
        dealer: ""
      },
      warehouse: {},
      manufacturer: [],
      dealerList: [],
      goodType: [],
      manufacturerList:[],
      numberList:[],
      loading:false,
      disabled:false,
      storehouse_id:0,
      list:[],
    };
  },
  methods: {
    comfirm: function(val) {
      this.$refs.dialog.hide();
      this.propForm.goodType = [];
      this.propForm.goods = [];

      if (val.selectedGoodInfo.length > 0) {
        for (let i = val.selectedGoodInfo.length - 1; ; i--) {
          if (i == 0) {
            this.recordInfo.recordData[this.currentIndex].good_type_id =
              val.selectedGoodInfo[i].good_type_id;
            this.recordInfo.recordData[this.currentIndex].good_id =
              val.selectedGoodInfo[i].id;
            this.recordInfo.recordData[
              this.currentIndex
            ].price = val.selectedGoodInfo[i].buy_price.toString();
          } else {
            const tempForm = {};
            tempForm["id"] = 0;
            tempForm["good_type_id"] = val.selectedGoodInfo[i].good_type_id;
            tempForm["good_id"] = val.selectedGoodInfo[i].id;
            tempForm["number"] = "";
            tempForm["product_date"] = "";
            tempForm["expiry_date"] = "";
            tempForm["warehousing_count"] = "";
            tempForm["price"] = val.selectedGoodInfo[i].buy_price.toString();
            tempForm["remark"] = "";
            tempForm["dealer"] = "";
            tempForm["manufacturer"] = "";
            this.recordInfo.recordData.splice(
              this.currentIndex + 1,
              0,
              tempForm
            );
          }
        }
      }

      this.currentIndex = -1;
    },
    cancle: function() {
      this.$refs.dialog.hide();
      this.propForm.goods = [];

      this.propForm.goodType = [];
    },
    GetConfigInfo: function() {
      const loading = this.$loading({
        lock: true,
        text: "Loading",
        spinner: "el-icon-loading",
        background: "rgba(0, 0, 0, 0.7)"
      });
      GetAllConfig().then(response => {
        if (response.data.state == 0) {
          this.$message.error(response.data.msg);
          return false;
        } else {
          this.manufacturer = response.data.data.manufacturer;
          this.manufacturerList = response.data.data.manufacturer
          this.dealerList = response.data.data.dealer
          this.dealer = response.data.data.dealer;
          this.goodType = response.data.data.goodType;
          this.goodInfo = response.data.data.goodInfo;
          this.list = response.data.data.list
          // this.manufacturer.splice(0, 0, { id: 0, manufacturer_name: "全部" });
          // this.dealer.splice(0, 0, { id: 0, dealer_name: "全部" });
        }
        loading.close();
      });
    },
    typeName: function(good_type_id) {
      let name = "";
      for (let i = 0; i < this.goodType.length; i++) {
        if (this.goodType[i].id == good_type_id) {
          name = this.goodType[i].type_name;
        }
      }
      return name;
    },
    specificationName: function(good_info_id) {
      let name = "";
      for (let i = 0; i < this.goodInfo.length; i++) {
        if (this.goodInfo[i].id == good_info_id) {
          name = this.goodInfo[i].specification_name;
        }
      }
      return name;
    },
    handleEdit: function(index, row) {
      if(row.supply_warehouse_id > 0){
        this.$message.error("采购入库数据不能新增!")
        return false
      }
      
      if(parseInt(this.$route.query.is_sys) >0){
        this.$message.error("调拨入库数据不能新增!")
        return false
      }
      const tempObj = {};
      tempObj["id"] = 0;
      tempObj["good_type_id"] = 0;
      tempObj["good_id"] = 0;
      tempObj["number"] = "";
      tempObj["product_date"] = "";
      tempObj["expiry_date"] = "";
      tempObj["warehousing_count"] = "";
      tempObj["price"] = "";
      tempObj["remark"] = "";
      tempObj["dealer"] = "";
      tempObj["manufacturer"] = "";
      tempObj["license_number"] = ""
      tempObj["packing_price"] = ""
      this.recordInfo.recordData.push(tempObj);
    },
    handleDelete: function(index, row) {
      if(parseInt(this.$route.query.is_sys) >0){
        this.$message.error("调拨入库数据不能删除!")
        return false
      }
      if(row.supply_warehouse_id >0){
        this.$message.error("采购入库数据不能删除!")
        return false
      }
      if (row.id == 0) {
        this.recordInfo.recordData.splice(index, 1);
      } else {
        const params = {
          id: row.id
        };
        this.$confirm("确认删除该入库商品信息记录?", "删除入库商品信息记录", {
          confirmButtonText: "确定",
          cancelButtonText: "取消",
          type: "warning"
        })
          .then(() => {
            DeleteWarehouseInfoItem(params).then(response => {
              if (response.data.state == 0) {
                this.$message.error(response.data.msg);
                return false;
              } else {
                this.$message.success("删除成功");

                this.recordInfo.recordData.splice(index, 1);
              }
            });
          })
          .catch(() => {});
      }
    },
    calculate: function(val) {
      if (val == 0) {
        return "";
      }
      return Math.round(parseFloat(val) * 100) / 100;
    },
    getTime(val, temp) {
      if (val != 0) {
        return uParseTime(val, temp);
      } else {
        return "";
      }
    },
    showDialog(index, row) {
      this.currentIndex = index;
      const loading = this.$loading({
        lock: true,
        text: "Loading",
        spinner: "el-icon-loading",
        background: "rgba(0, 0, 0, 0.7)"
      });

      const params = {
        manufacturer_id: this.form.manufacturer,
        dealer_id: this.form.dealer
      };
      this.propForm.goods = []

      GetAllGoodInfoByID(params).then(response => {
        if (response.data.state == 0) {
          this.$message.error(response.data.msg);
          return false;
        } else {
          if (response.data.data.goodInfo.length <= 0) {
            this.$message.error("该厂商或经销商没有物品信息");
            return;
          }
          this.$refs.dialog.show();
          for (let i = 0; i < response.data.data.goodInfo.length; i++) {
            this.propForm.goodType.push(
              response.data.data.goodInfo[i].type
            );
          }
          const obj = {};
          this.propForm.goodType = this.propForm.goodType.reduce(
            (cur, next) => {
              obj[next.id] ? "" : (obj[next.id] = true && cur.push(next));
              return cur;
            },
            []
          ); // 设置cur默认类型为数组，并且初始值为空的数组
        }

        for (let i = 0; i < this.propForm.goodType.length; i++) {
          let goodInfo = [];
          let goodObj = {};

          for (let a = 0; a < response.data.data.goodInfo.length; a++) {
            var respObj = response.data.data.goodInfo[a];
            respObj["isSelected"] = false;
            if (respObj.type.id == this.propForm.goodType[i].id) {
              goodInfo.push(respObj);
            }
          }
          const obj = {};
          goodInfo = goodInfo.reduce((cur, next) => {
            obj[next.id] ? "" : (obj[next.id] = true && cur.push(next));
            return cur;
          }, []); // 设置cur默认类型为数组，并且初始值为空的数组

          this.$set(goodObj, this.propForm.goodType[i].id, goodInfo);
          this.propForm.goods.push(goodObj);
        }
        loading.close();
      });
    },
    back() {
      this.$router.go(-1);
    },
    submit() {
     
      this.$refs["tableForm"].validate(valid => {
        if (valid) {
          this.loading = true
          const array = this.recordInfo.recordData;
          if(this.storehouse_id == 0){
            this.$message.error("仓库不能为空!")
            return
          }    
          for (let i = 0; i < array.length; i++) {
            if (array[i].good_type_id == 0) {
              this.$message.error("商品类型不能为空");
              return;
            }
            if (array[i].good_id == 0) {
              this.$message.error("规格名称不能为空");
              return;
            }
          }
         
          for(let i=0;i<this.recordInfo.recordData.length;i++){
            this.recordInfo.recordData[i].price = this.recordInfo.recordData[i].price.toString()
             this.recordInfo.recordData[i].packing_price = this.recordInfo.recordData[i].packing_price.toString()
             if(this.recordInfo.recordData[i].dealer == ""){
                this.recordInfo.recordData[i].dealer = 0
             }
            for(let j=0;j<this.manufacturerList.length;j++){
              if(this.recordInfo.recordData[i].manufacturer == this.manufacturerList[j].manufacturer_name){
                  this.recordInfo.recordData[i].manufacturer = this.manufacturerList[j].id
                  }
              }
             for(let z=0;z<this.dealerList.length;z++){
               if(this.recordInfo.recordData[i].dealer == this.dealerList[z].dealer_name){
                  this.recordInfo.recordData[i].dealer = this.dealerList[z].id
               }
             }
          }
         
          const params = {
            stockIn: this.recordInfo.recordData
          };
          
          const loading = this.$loading({
            lock: true,
            text: 'Loading',
            spinner: 'el-icon-loading',
            background: 'rgba(0, 0, 0, 0.7)'
          })
          EditWarehouse(
            params,
            this.warehousing_time,
            this.$route.query.id,
            this.$route.query.type,
            this.form.manufacturer,
            this.form.dealer,
            this.storehouse_id,
          ).then(response => {
            if (response.data.state == 0) {
              this.loading =false
              this.$message.error(response.data.msg);
              loading.close()
              return false;
            } else {
              loading.close()
              this.loading = false
              this.$message.success("入库成功");
              this.$router.back(-1);
            }
          });
        } else {
          return false;
        }
      });
    },
    GetOrderDetail: function(order_id) {
      const params = {
        id: order_id
      };

      getWarehouseInfoList(params).then(response => {
        if (response.data.state == 0) {
          this.$message.error(response.data.msg);
          return false;
        } else {
        
         
          for (let i = 0; i < response.data.data.info.length; i++) {
            response.data.data.info[i].product_date = this.getTime(
              response.data.data.info[i].product_date,
              "{y}-{m}-{d}"
            );
            response.data.data.info[i].expiry_date = this.getTime(
              response.data.data.info[i].expiry_date,
              "{y}-{m}-{d}"
            );
            response.data.data.info[i].price = response.data.data.info[i].price.toString();
            response.data.data.info[i].warehousing_count = response.data.data.info[i].warehousing_count.toString();
            response.data.data.info[i].good_name = response.data.data.info[i].GoodInfo.good_name
            response.data.data.info[i].name = response.data.data.info[i].GoodInfo.specification_name + "/"+response.data.data.info[i].GoodInfo.packing_unit
            response.data.data.info[i].packing_unit = response.data.data.info[i].GoodInfo.packing_unit
            
            if(response.data.data.info[i].manufacturer == 0){
              response.data.data.manufacturer = ""
            }
            if(response.data.data.info[i].dealer == 0){
              response.data.data.info[i].dealer = ""
            }
           
            this.recordInfo.recordData.push(response.data.data.info[i]);
           
           
          }

          this.warehouse = response.data.data.warehousing;
          this.storehouse_id = response.data.data.warehousing[0].storehouse_id
       
          this.warehousing_time = this.getTime(
            this.warehouse[0].warehousing_time,
            "{y}-{m}-{d}"
          );

          if (this.recordInfo.recordData.length == 0) {
            const tempObj = {};
            tempObj["id"] = 0;
            tempObj["good_type_id"] = 0;
            tempObj["good_id"] = 0;
            tempObj["number"] = "";
            tempObj["product_date"] = "";
            tempObj["expiry_date"] = "";
            tempObj["warehousing_count"] = "";
            tempObj["price"] = "";
            tempObj["remark"] = "";
            tempObj["dealer"] = "";
            tempObj["manufacturer"] = "";
            tempObj["license_number"] = ""
            tempObj["register_number"] = ""
            this.recordInfo.recordData.push(tempObj);
          }
        }
      });
    },
    querySearchAsync(keyword, cb) {
        let key = '';
        if (keyword != undefined) {
          key = keyword
        }
        postSearchGoodList(key,this.storehouse_id).then(response => {
          if (response.data.state == 1) {
          
            var list = response.data.data.list
            this.goodList = list
            var manufacturerList = response.data.data.manufacturerList
            this.manufacturerList = manufacturerList
            this.dealerList = response.data.data.dealerList
            for(let i=0;i<this.goodList.length;i++){
                for(let j=0;j<manufacturerList.length;j++){
                  if(this.goodList[i].manufacturer == manufacturerList[j].id){
                    this.goodList[i].manufacturer = manufacturerList[j].manufacturer_name
                  }
                }
            }
            for(let i=0;i<this.goodList.length;i++){
               for(let j=0;j<this.dealerList.length;j++){
                  if(this.goodList[i].dealer == this.dealerList[j].id){
                    this.goodList[i].dealer = this.dealerList[j].dealer_name
                  }
               }
             }
            cb(this.goodList)
          } else {
            cb([])
           }
         })
       },
    changeGoodName(val){
      this.currentIndex = val
    },
    handleSelect(val){
        for(let i=0;i<this.recordInfo.recordData.length;i++){
          if(this.currentIndex == i){
            this.recordInfo.recordData[i].good_type_id = val.id
            this.recordInfo.recordData[i].good_name = val.good_name
            this.recordInfo.recordData[i].good_type_id = val.good_type_id
            this.recordInfo.recordData[i].name = val.specification_name +"/"+val.packing_unit
            // this.recordInfo.recordData[i].number =  val.number
            this.recordInfo.recordData[i].manufacturer = val.manufacturer
            this.recordInfo.recordData[i].remark = val.remark
            this.recordInfo.recordData[i].license_number = val.number
            this.recordInfo.recordData[i].register_number = val.register_number
            if(val.buy_price == 0){
               this.recordInfo.recordData[i].price= ""
            }else{
               this.recordInfo.recordData[i].price = val.buy_price
            }
            if(val.packing_price == 0){
              this.recordInfo.recordData[i].packing_price = ""
            }else{
              this.recordInfo.recordData[i].packing_price = val.packing_price
            }
          
            this.recordInfo.recordData[i].specification_name = val.specification_name
            this.recordInfo.recordData[i].good_id = val.id
            this.recordInfo.recordData[i].packing_unit = val.packing_unit
            if(val.dealer == 0){
              this.recordInfo.recordData[i].dealer
            }else{
              this.recordInfo.recordData[i].dealer = val.dealer
            }
          
          }
        }
     
    }
  },
  created() {
    this.GetConfigInfo();
    this.propForm.goodUnit = this.$store.getters.good_unit;
    const order_id = this.$route.query.id;
    var supply_warehouse_id =  parseInt(this.$route.query.supply_warehouse_id)  
    var is_sys = parseInt(this.$route.query.is_sys)
    if(supply_warehouse_id > 0){
      this.disabled = true
    }
    if(is_sys == 12){
      this.disabled = true
    }
    this.GetOrderDetail(order_id);

  }
};
</script>
<style>
#oictable ::-webkit-scrollbar {
  height: 15px;
}
</style>

<style rel="stylesheet/css" lang="scss" scoped>
.information {
  border: 1px #dcdfe6 solid;
  padding: 30px 20px 30px 20px;

  .border {
    border-bottom: 1px #dcdfe6 solid;
    margin: 0px 0 20px 0;
  }
}

.edit_separater {
  border-top: 1px solid rgb(233, 233, 233);
  margin-top: 15px;
  margin-bottom: 15px;
}
</style>

<style>
.sign-and-weigh-box .sign-and-weigh-box-patients .cell {
  font-size: 12px;
}

.sign-and-weigh-box .sign-and-weigh-box-patients .current-row > td {
  background: #6fb5fa;
}
</style>
